org.pentaho.reporting.libraries.resourceloader

## Class UnrecognizedLoaderException

- java.lang.Object
- - StackableException
  - - org.pentaho.reporting.libraries.resourceloader.ResourceException
    - - org.pentaho.reporting.libraries.resourceloader.ResourceLoadingException
      - - org.pentaho.reporting.libraries.resourceloader.UnrecognizedLoaderException

    public class UnrecognizedLoaderException
    extends ResourceLoadingException

This exception is thrown whenever a resource-manager tries to load data using an invalid key.

Author:
  Thomas Morgner

### Constructor Summary

Constructors
Constructor and Description
`UnrecognizedLoaderException()` Creates a StackableRuntimeException with no message and no parent.
`UnrecognizedLoaderException(java.lang.String message)` Creates an exception.
`UnrecognizedLoaderException(java.lang.String message, java.lang.Exception ex)` Creates an exception.

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UnrecognizedLoaderException

    public UnrecognizedLoaderException()

Creates a StackableRuntimeException with no message and no parent.

#### UnrecognizedLoaderException

    public UnrecognizedLoaderException(java.lang.String message,
                               java.lang.Exception ex)

Creates an exception.

Parameters:
  `message` - the exception message.
  `ex` - the parent exception.

#### UnrecognizedLoaderException

    public UnrecognizedLoaderException(java.lang.String message)

Creates an exception.

Parameters:
  `message` - the exception message.